<?php

// Jeli nie ma łańcucha znaków, nie można znaleźć przepisu
$drink = $_REQUEST['drink'];
if(empty($drink)) {
    echo "<h3>Brak nazwy drinka</h3>";
} else {
    // Usuwanie odstępów z początku i końca szukanej nazwy
    $search = trim($drink);
    switch($search) {
      case "TEA" :
         $result = "<h3>Goršca herbata</h3>" .
                   "<ul><li>licie herbaty</li><li>woda</li></ul>" .
                   "<p>Zagotuj wodę. Zalej niš licie herbaty. " .
                   "Parz pięć minut. Po odcedzeniu można podawać.</p>";
         break;
      case "APPLETINI" :
         $result = "<h3>Appletini</h3>" .
                   "<ul><li>30 ml wódki</li>" .
                   "<li>15 ml Sour Apple Pucker lub innego sznapsa jabłkowego</li></ul>" .
                   "<p>Wymieszaj sznapsa z wódką w szklance z lodem. Przelej do kieliszka do martini. " .
                   "Udekoruj plasterkiem jabłka lub rodzynkami.</p>";
         break;
      case "NONCHAMP" :
         $result = "<h3>Szampan bezalkoholowy</h3>" .
                   "<ul><li>960 ml wody sodowej</li>" . 
                   "<li>360 zmrożonego koncentratu z białych winogron</li></ul>" .
                   "<p>Wymieszaj wodę sodowš" .
                   " z koncentratem z białych winogron.</p>";
         break;
      case "SWMPMARGARITA" :
         $result = "<h3>Swamp Margarita</h3>" .
                   "<ul><li>45 ml dobrej tequili</li>" .
                   "<li>22 ml Cointreau</li>" .
                   "<li>22 ml Grand Marnier</li>" . 
                   "<li>15 ml soku cytrynowego</li>" .
                   "<li>60 ml sour mix</li>" . 
                   "<li>kilka zielonych oliwek</li></ul>" .
                   "<p>Wymieszaj wszystkie składniki. Schładzaj przez godzinę. " .
                   "Wrzuć na dno wysokiej szklanki kilka zielonych oliwek. " .
                   "Wlej margeritę na oliwki. Po dziesięciu minutach należy odcedzić i można podawać." . 
                   "</p>";
         break;
      case "LEMON" :
         $result = "<h3>Kropla cytryny</h3>" . 
                   "<ul><li>30 ml wódki cytrynowej</li>" .
                   "<li>30 ml soku cytrynowego</li>" . 
                   "<li>łyżeczka cukru</li></ul>" . 
                   "<p>Wymieszaj z lodem, " .
                   "odcedź i podawaj.</p>";
         break;
      default :
         $result = "<h3>Brak przepisu</h3>";
         break;
      }

     $result = "<div id='recipe' class='recipe'>" . $result . "</div>";

     echo $result;

}
?>
